

-- Called when the weapon is created.

	function onInit( )
		_SWEPSetSound( MyIndex, "single_shot", "Weapon_elite.Single" );
	end

	function getDeathIcon( )
		return "swep_default";
	end

-- Weapon settings.
-- These are only accessed once when setting the weapon up


	function getWeaponSwapHands()
		return false;	
	end
	

	function getWeaponFOV()

		return 74;	

	end

	

	function getWeaponSlot()

		return 2;	

	end

	

	function getWeaponSlotPos()

		return 7;	

	end

	

	function getFiresUnderwater()

		return false;

	end

	

	function getReloadsSingly()

		return false;

	end

	

	function getDamage()

		return 18;

	end

	

	function getPrimaryShotDelay()

		return 0.10;

	end

	
	function getPrimaryIsAutomatic()

		return false;

	end

		

	function getBulletSpread()

		return vector3( 0.01, 0.01, 0.01 );

	end

	

	function getViewKick()

		return vector3( -1.0, 0.0, 0.0);

	end

	

	function getViewKickRandom()

		return vector3( 0.6, 0.6, 0.5 );

	end

	


	function getViewModel( )
		return "models/weapons/v_m6d.mdl";
	end

	function getWorldModel( )
		return "models/weapons/w_pist_glock18.mdl";
	end

	

	function getClassName()

		return "weapon_m6d";

	end



	function getPrimaryAmmoType()

		return "pistol";

	end

		

	function getSecondaryAmmoType()

		return "pistol";

	end

	

	-- return -1 if it doesn't use clips

	function getMaxClipPrimary()

		return 12;

	end

	

	function getMaxClipSecondary()

		return -1;

	end

	

	-- ammo in gun by default

	function getDefClipPrimary()

		return 120;

	end

	

	function getDefClipSecondary()

		return -1;

	end



	-- pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade

	function getAnimPrefix()

		return "pistol";

	end



	function getPrintName()

		return "M6D";

	end

	


	-- 0 = Don't override, shoot bullets, make sound and flash

	-- 1 = Don't shoot bullets but do make flash/sounds

	-- 2 = Only play animations

	-- 3 = Don't do anything

	

	function getPrimaryScriptOverride()

		return 0;

	end



	function getSecondaryScriptOverride()

		return 3;

	end



